si = require('systeminformation')

window.addEventListener('load', () ->
  # Grab the static CPU information
  si.mem()
    .then((data) ->
      document.getElementById('memoryTotal').innerText = @formatBytes(data.total)
    ).catch((error) ->
      console.error(error)
    )

  # Start the CPU temperature loop
  getMemoryUsage()
, false)

getMemoryUsage = () ->
  si.mem()
    .then((data) ->
      document.getElementById('memoryFree').innerText = @formatBytes(data.free)
      document.getElementById('memoryActive').innerText = @formatBytes(data.active)
      document.getElementById('memoryBuffCache').innerText = @formatBytes(data.buffcache)
    ).catch((error) ->
      console.error(error)
    )
  setTimeout(getMemoryUsage, 2000)
